<template>
  <el-dialog v-model="props.modelValue" title="${functionName}详情" width="900px" @closed="closeDialog"  @open="openDialog">
    <el-form ref="formRef" :model="formData" :disabled="true">
      <el-row>
        
        ${col}

      </el-row>
    </el-form>
  </el-dialog>
</template>

<script setup>
import { reactive, ref, watch } from "vue";
import { isEmptyObject } from "~/utils/index";
${dictFunName}

// --业务参数
${mapParm}


// --业务方法
${dictFun}



// --基础参数
const formRef = ref();
const labelWidth = 100;

const props = defineProps({
  modelValue: Boolean,
  data: Object,
  done: Function,
});
const emits = defineEmits(["update:modelValue"]);
const formData = ref({
  ...props.data,
});


// --基础方法
watch(props, (v) => {
  formData.value = v.data;
  
  ${mapOpen}
});

// 打开弹窗时执行
const openDialog = () => {
  ${mapOpen}
  ${dictFunName2}
};

const closeDialog = () => {
  emits("update:modelValue", false);
};
</script>

<style lang="less" scoped>

</style>
